%define _unpackaged_files_terminate_build 1

%define upstreamname lxpanel
Name: lxde-%upstreamname
Version: 0.5.6
Release: alt0.M51.1

Summary: LXPanel is a lightweight X11 desktop panel.
License: GPL
Group: Graphical desktop/Other
Url: http://lxde.sf.net

Source: %upstreamname-%version.tar.gz
Patch3: lxpanel-resize.patch
Patch5: lxpanel-taskbar-nofontsize.patch

Requires: lxde-lxmenu-data
# Automatically added by buildreq on Tue May 04 2010
BuildRequires: cvs docbook-dtds docbook-style-xsl glibc-devel-static imake intltool libalsa-devel libgtk+2-devel libmenu-cache-devel xorg-cf-files xsltproc

%description
lxpanel  is  a  program  that provides a panel for desktop, usually for
LXDE. It is lightweight GTK+ 2.x based desktop panel.

%package devel
Summary: development headers to build %name plugins
License: LGPL
Group: System/Libraries
Requires: %name = %version
%description devel
This package provides files required to build plugins
for %name

%prep
%setup -n %upstreamname-%version
%patch3 -p0
%patch5 -p2

%build
%autoreconf
%configure \
	--enable-man \
	--with-plugins=all \
	--enable-cast-checks \
	--enable-alsa

%make_build

%install
%makeinstall_std
%find_lang %upstreamname

%files -f %upstreamname.lang
%doc ChangeLog INSTALL README
%_bindir/*
%_datadir/%upstreamname
%_libdir/%upstreamname
%_man1dir/*

%files devel
%_includedir/*
%_pkgconfigdir/*.pc

%changelog
* Wed Jul 21 2010 Mykola Grechukh <gns@altlinux.ru> 0.5.6-alt0.M51.1
- backported

* Wed Jul 21 2010 Mykola Grechukh <gns@altlinux.ru> 0.5.6-alt1
- new upstream version

* Tue May 04 2010 Mykola Grechukh <gns@altlinux.ru> 0.5.5-alt3.git3ad6e85
- devel subpackage

* Mon May 03 2010 Mykola Grechukh <gns@altlinux.ru> 0.5.5-alt2.git3ad6e85
- new version from upstream git

* Fri Mar 12 2010 Nick S. Grechukh <gns@altlinux.ru> 0.5.5-alt1
- new version

* Wed Feb 03 2010 Mykola Grechukh <gns@altlinux.ru> 0.5.4.1-alt5
- special font size for panel removed, now use gtk font

* Sat Jan 02 2010 Mykola Grechukh <gns@altlinux.ru> 0.5.4.1-alt3
- menu localization fixed (closes: #22649)

* Mon Dec 28 2009 Mykola Grechukh <gns@altlinux.ru> 0.5.4.1-alt2
- new upstream version

* Sat Dec 12 2009 Nick S. Grechukh <gns@altlinux.ru> 0.5.4-alt1
- new version

* Fri Aug 14 2009 Nick S. Grechukh <gns@altlinux.org> 0.5.3-alt2
- resize after xrandr event

* Fri Aug 14 2009 Nick S. Grechukh <gns@altlinux.org> 0.5.3-alt1
- new version

* Tue May 19 2009 Nick S. Grechukh <gns@altlinux.org> 0.4.1-alt2
- new version

* Wed Mar 04 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.3.999-alt1
- new version

* Fri Jan 09 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.3.99-alt1
- new version

* Fri Jul 18 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.8.1-alt1
- new version

* Fri May 23 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.1-alt1
- First version of RPM package for Sisyphus.
